/*
 * log.h
 *
 *  Created on: Dec 16, 2020
 *      Author: bookshiyi
 */

#ifndef LOG_LOG_H_
#define LOG_LOG_H_

#include <stdarg.h>

typedef enum {
	trace = 0,
	debug = 1,
	info = 2,
	warning = 3,
	error = 4,
	fatal =5
}LogLevel_t;

void Log(LogLevel_t loglevel,char *format, ...);
#endif /* LOG_LOG_H_ */
